
# Exercise 2

The file named

    weather_2020-02.csv

contains hourly weather observations from Jyväskylä, Finland.

| Abbreviation | Meaning |
| --- | --- |
| TA | Temperature Average |
| RH | Relative Humidity |
| WS | Wind Speed |
| WD | Wind Direction |
| PRA | Precipitation Amount |
| PRI | Precipitation Intensity |
| PA | Pressure Average |
| WAWA | Most Significant Weather Code |

Calculate the average relative humidity over the full timespan covered in the data, dropping any NaN values.

Please write your answer (number only) in the file

    exrc-02-answer.txt

Please also write a separate report (Jupyter notebook) about solving Exercise 2 in the file

    exrc-02-report.ipynb

This report should contain (e.g.)

- code snippets used
- AI prompts used
- links to external material used
- your thoughts about the process.

Answer the questions as instructed, then submit a similar `zip` file as you obtained &mdash; with unchanged file structure but with your answers filled in the files &mdash; into [this page](https://student.labranet.jamk.fi/~x1234/masters-entry-2025/exrc-02-submit.html).
